<!-- prettier-ignore-start -->
# Class ShopperConsentErrorCodes

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.customer.consent.ShopperConsentErrorCodes](dw.customer.consent.ShopperConsentErrorCodes.md)

Error codes for [ShopperConsentException](dw.customer.consent.ShopperConsentException.md).


These error codes indicate the reason why a shopper consent operation failed.



## Constant Summary

| Constant | Description |
| --- | --- |
| [CUSTOMER_NOT_AUTHENTICATED](#customer_not_authenticated): [String](TopLevel.String.md) = "CUSTOMER_NOT_AUTHENTICATED" | Indicates that the customer is not authenticated. |
| [FEATURE_DISABLED](#feature_disabled): [String](TopLevel.String.md) = "FEATURE_DISABLED" | Indicates that the Marketing Consent feature is not enabled. |
| [INTERNAL_ERROR](#internal_error): [String](TopLevel.String.md) = "INTERNAL_ERROR" | Indicates that an internal error occurred. |
| [RETRIEVAL_ERROR](#retrieval_error): [String](TopLevel.String.md) = "RETRIEVAL_ERROR" | Indicates that an error occurred while retrieving consent subscriptions. |
| [UPDATE_ERROR](#update_error): [String](TopLevel.String.md) = "UPDATE_ERROR" | Indicates that an error occurred while updating consent subscriptions. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Constant Details

### CUSTOMER_NOT_AUTHENTICATED

- CUSTOMER_NOT_AUTHENTICATED: [String](TopLevel.String.md) = "CUSTOMER_NOT_AUTHENTICATED"
  - : Indicates that the customer is not authenticated.


---

### FEATURE_DISABLED

- FEATURE_DISABLED: [String](TopLevel.String.md) = "FEATURE_DISABLED"
  - : Indicates that the Marketing Consent feature is not enabled.


---

### INTERNAL_ERROR

- INTERNAL_ERROR: [String](TopLevel.String.md) = "INTERNAL_ERROR"
  - : Indicates that an internal error occurred.


---

### RETRIEVAL_ERROR

- RETRIEVAL_ERROR: [String](TopLevel.String.md) = "RETRIEVAL_ERROR"
  - : Indicates that an error occurred while retrieving consent subscriptions.


---

### UPDATE_ERROR

- UPDATE_ERROR: [String](TopLevel.String.md) = "UPDATE_ERROR"
  - : Indicates that an error occurred while updating consent subscriptions.


---

<!-- prettier-ignore-end -->
